#ifndef KANALISTWIDGETITEM_H
#define KANALISTWIDGETITEM_H

#include <QListWidgetItem>

class QListWidget;
class QString;

class KanaListWidgetItem : public QListWidgetItem {
	
	public:
		KanaListWidgetItem(QListWidget *parent = 0);
		KanaListWidgetItem(QListWidget *parent = 0 , const QString & romanji = "", const QString & kana = "", const QString &type = "" , const QString &toolTip = "" );
		void setRomanji(const QString&);
		QString romanji();
		int romanjiSize();
		void setKanaType(const QString&);
		QString kanaType();
		void setRawTip( const QString &);
		QString rawTip();
	private:
		QString _romanji;
		QString _type;
		QString _toolTip;
};

#endif
