#ifndef KANATEXTEDIT_H
#define KANATEXTEDIT_H

#include <QTextEdit>
#include <QMouseEvent>


class KanaTextEdit : public QTextEdit {
	Q_OBJECT
	public:
		KanaTextEdit(QWidget *parent = 0);
	signals:
		void editorClicked();
		void backspacePressed();
	protected:
		void mousePressEvent ( QMouseEvent * event );
		void keyPressEvent ( QKeyEvent * event );
};

#endif
