#include <QtPlugin>

# include "kana_editor_plugin.h"
# include "../PKanaEditor/kana_editor.h"

KanaEditorPlugin::KanaEditorPlugin(QObject *parent) : QObject(parent){
}

QString KanaEditorPlugin::name() const {
	return "KanaEditor";
}

QString KanaEditorPlugin::includeFile() const {
	return "kana_editor.h";
}

QString KanaEditorPlugin::group() const {
	return tr("PKanaEditor");
}

QIcon KanaEditorPlugin::icon() const {
	return QIcon(":/images/kana_editor.png");
}

QString KanaEditorPlugin::toolTip() const {
	return tr("A Kanji / Hiragana / Katakana editor widget");
}

QString KanaEditorPlugin::whatsThis() const {
	return tr("A Kanji / Hiragana / Katakana editor widget");
}

bool KanaEditorPlugin::isContainer() const {
	return false;
}

QWidget *KanaEditorPlugin::createWidget(QWidget *parent){
	return new KanaEditor(parent);
}

Q_EXPORT_PLUGIN2(kanaeditorplugin, KanaEditorPlugin)
