#ifndef KANAEDITORPLUGIN_H
#define KANAEDITORPLUGIN_H

#include <QDesignerCustomWidgetInterface>

class KanaEditorPlugin : public QObject, 
			public QDesignerCustomWidgetInterface 
{
	Q_OBJECT
	Q_INTERFACES(QDesignerCustomWidgetInterface)
	
	public:
		KanaEditorPlugin(QObject *parent=0);
		QString name() const;
		QString includeFile() const;
		QString group() const;
		QIcon icon() const;
		QString toolTip() const;
		QString whatsThis() const;
		bool isContainer() const;
		QWidget *createWidget(QWidget *parent);
};

#endif
