#ifndef KANAXMLHANDLER_H
#define KANAXMLHANDLER_H

#include <QXmlDefaultHandler>
#include <QList>

class QString;
class KanaListWidgetItem;


class KanaXmlHandler : public QXmlDefaultHandler
{
	public:
		KanaXmlHandler( QList<KanaListWidgetItem *> *newList );
		bool startElement( const QString &namespaceURI, const QString &localName, const QString &qName, const QXmlAttributes &attributes );
// 		bool endElement( const QString &namespaceURI, const QString &localName, const QString &qName );
		bool characters(const QString &str);
		bool fatalError(const QXmlParseException &exception);
	private:
		QList<KanaListWidgetItem *> *kanaList;
		//KanaListWidgetItem *currentItem;
		QString currentText;
};

#endif
